﻿using Syncfusion.UI.Xaml.Grid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SfDataGridSample
{
    public class SerializationControllerExt : SerializationController
    {
        public SerializationControllerExt(SfDataGrid grid)

            : base(grid)
        {
        }
        protected override void RestoreColumnProperties(SerializableGridColumn serializableColumn, GridColumn column)
        {
            if (serializableColumn.MappingName != "EmployeeArea")
                serializableColumn.AllowFiltering = false;
            base.RestoreColumnProperties(serializableColumn, column);
        }
    }
}
